#pragma once

#include "item.h"
#include "../microcontroller.h"

class AuxItem: public Item
{
    Q_OBJECT
private:
    Microcontroller* micro_;

public slots:

    virtual void setValue(uint8_t value);

public:
    AuxItem(SensorStore* sensors, Microcontroller* micro, uint32_t itemIdIn = QRandomGenerator::global()->generate(), QString name = "",  uint8_t value = 0, QObject* parent = nullptr);

    virtual void store(QJsonObject& json);
    virtual void store(QString subsecton, QSettings* settings);
};
